# Uses of Class
org.eclipse.osgi.storage.bundlefile.BundleEntry

Packages that use BundleEntry
Package
Description
org.eclipse.osgi.storage
org.eclipse.osgi.storage.bundlefile
org.eclipse.osgi.storage.url
org.eclipse.osgi.storage.url.bundleentry
org.eclipse.osgi.storage.url.bundleresource

## Uses of BundleEntry in org.eclipse.osgi.storage

Methods in org.eclipse.osgi.storage that return BundleEntry
Modifier and Type
Method
Description
`BundleEntry`
SystemBundleFile.`getEntry(String path)`

## Uses of BundleEntry in org.eclipse.osgi.storage.bundlefile

Subclasses of BundleEntry in org.eclipse.osgi.storage.bundlefile
Modifier and Type
Class
Description
`class`
`DirZipBundleEntry`
Represents a directory entry in a ZipBundleFile.
`class`
`FileBundleEntry`
A BundleEntry represented by a File object.
`class`
`ZipBundleEntry`
A BundleEntry represented by a ZipEntry in a ZipFile.
Methods in org.eclipse.osgi.storage.bundlefile that return BundleEntry
Modifier and Type
Method
Description
`protected abstract BundleEntry`
CloseableBundleFile.`findEntry(String path)`
Finds the bundle entry for the specified path
`protected BundleEntry`
ZipBundleFile.`findEntry(String path)`
`abstract BundleEntry`
BundleFile.`getEntry(String path)`
Locates a file name in this bundle and returns a BundleEntry object
`BundleEntry`
BundleFileWrapper.`getEntry(String path)`
`BundleEntry`
CloseableBundleFile.`getEntry(String path)`
`BundleEntry`
DirBundleFile.`getEntry(String path)`
`BundleEntry`
NestedDirBundleFile.`getEntry(String path)`
Methods in org.eclipse.osgi.storage.bundlefile with parameters of type BundleEntry
Modifier and Type
Method
Description
`protected URL`
BundleFile.`createResourceURL(BundleEntry bundleEntry, Module hostModule, int index, String path)`
Creates a URL to access the content of the specified entry
`protected URL`
BundleFileWrapper.`createResourceURL(BundleEntry bundleEntry, Module hostModule, int index, String path)`
`static URL`
BundleFile.`createURL(String protocol, long bundleId, ModuleContainer container, BundleEntry entry, int index, String path, URLStreamHandler handler)`
`static String`
BundleFile.`fixTrailingSlash(String path, BundleEntry entry)`

## Uses of BundleEntry in org.eclipse.osgi.storage.url

Fields in org.eclipse.osgi.storage.url declared as BundleEntry
Modifier and Type
Field
Description
`protected BundleEntry`
BundleResourceHandler.`bundleEntry`
`protected final BundleEntry`
BundleURLConnection.`bundleEntry`
BundleEntry that the URL is associated.
Methods in org.eclipse.osgi.storage.url that return BundleEntry
Modifier and Type
Method
Description
`protected abstract BundleEntry`
BundleResourceHandler.`findBundleEntry(URL url, Module module)`
Finds the bundle entry for this protocal.
Constructors in org.eclipse.osgi.storage.url with parameters of type BundleEntry
Modifier
Constructor
Description
`protected`
`BundleResourceHandler(ModuleContainer container, BundleEntry bundleEntry)`
``
`BundleURLConnection(URL url, ModuleContainer container, BundleEntry bundleEntry)`
Constructor for a BundleClassLoader resource URLConnection.

## Uses of BundleEntry in org.eclipse.osgi.storage.url.bundleentry

Methods in org.eclipse.osgi.storage.url.bundleentry that return BundleEntry
Modifier and Type
Method
Description
`protected BundleEntry`
Handler.`findBundleEntry(URL url, Module module)`
Constructors in org.eclipse.osgi.storage.url.bundleentry with parameters of type BundleEntry
Modifier
Constructor
Description
``
`Handler(ModuleContainer container, BundleEntry bundleEntry)`

## Uses of BundleEntry in org.eclipse.osgi.storage.url.bundleresource

Methods in org.eclipse.osgi.storage.url.bundleresource that return BundleEntry
Modifier and Type
Method
Description
`protected BundleEntry`
Handler.`findBundleEntry(URL url, Module module)`
Constructors in org.eclipse.osgi.storage.url.bundleresource with parameters of type BundleEntry
Modifier
Constructor
Description
``
`Handler(ModuleContainer container, BundleEntry bundleEntry)`